package com.hai.model;

import java.math.BigDecimal;
import java.util.Date;

public class ApiRechargePhoneModel {

    /**
     * 订单号码
     */
    private String orderNo;

    /**
     * 来源订单号
     */
    private String sourceOrderNo;

    /**
     * 运营商
     */
    private String operators;

    /**
     * 充值号码
     */
    private String rechargeNumber;

    /**
     * 充值金额
     */
    private BigDecimal rechargePrice;

    /**
     * 支付金额
     */
    private BigDecimal payPrice;

    /**
     * 创建时间
     */
    private Date createTimed;

    /**
     * 支付时间
     */
    private Date payTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 支付状态 101.待支付 102.已支付 100.已完成 104.已取消 105.已退款
     */
    private Integer payStatus;

    /**
     * 充值状态：201:充值中 202：充值成功 203：充值失败 204:未充值
     */
    private Integer rechargeStatus;

    /**
     * 回调状态 100 :未回调 101：已回调  102：回调未响应 103：预备回调
     */
    private Integer callbackStatus;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getSourceOrderNo() {
        return sourceOrderNo;
    }

    public void setSourceOrderNo(String sourceOrderNo) {
        this.sourceOrderNo = sourceOrderNo;
    }

    public String getOperators() {
        return operators;
    }

    public void setOperators(String operators) {
        this.operators = operators;
    }

    public String getRechargeNumber() {
        return rechargeNumber;
    }

    public void setRechargeNumber(String rechargeNumber) {
        this.rechargeNumber = rechargeNumber;
    }

    public BigDecimal getRechargePrice() {
        return rechargePrice;
    }

    public void setRechargePrice(BigDecimal rechargePrice) {
        this.rechargePrice = rechargePrice;
    }

    public BigDecimal getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    public Date getCreateTimed() {
        return createTimed;
    }

    public void setCreateTimed(Date createTimed) {
        this.createTimed = createTimed;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(Integer payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getRechargeStatus() {
        return rechargeStatus;
    }

    public void setRechargeStatus(Integer rechargeStatus) {
        this.rechargeStatus = rechargeStatus;
    }

    public Integer getCallbackStatus() {
        return callbackStatus;
    }

    public void setCallbackStatus(Integer callbackStatus) {
        this.callbackStatus = callbackStatus;
    }
}
